﻿body {
    font-family: Calibri;
    margin: 0px 0px 0px 0px;
}

.dvContainer {
    color: black;
    height: 100% !important;
    width: 100%;
    overflow: hidden;
    background-color: #ffffff;
    border: 2px solid #0070c0;
    position: absolute;
    user-select: none;
    /* overflow: auto;*/
}



.dvHeaderClientAddress {
    height: 21px;
    text-align: left;
    font-family: Calibri;
    padding-top: 0px;
    font-size: 16px;
    font-weight: bold;
    color: #FFFFFF;
    background-color: #203764;
    padding-left: 10px;
}

.spnHdrMessage {
    font-weight: 600;
    font-size: 16px;
}

.spnclose {
    float: right;
    padding-right: 10px;
}

.dvHeaderApp {
    background-color: #595959;
    height: 70px;
}

.HeaderiCON {
    height: 50px;
    padding: 10px;
    padding-bottom: 7px;
}

.spnHeaderTitle {
    font-family: Calibri;
    font-size: 30px;
    font-weight: bold;
    padding-left: 10px;
    color: #30a8ae;
    vertical-align: middle;
}

#spnHdrMessage2 {
    color: #91d050;
}

.dvEmptyspace {
    height: 10px;
}

/*select {
    border-color: #ffe699;
    padding-left: 8px;
    background-color: #fff4d4;
    border: .5px solid #ffe699;
    border-radius: 5px;
    height: 20px;
    opacity: 1;*/
/*filter: Alpha(opacity=50);*/
/*}*/

.actionbtnEdit {
    background-image: url(/Images/Edit.png);
    background-repeat: no-repeat;
    border: none transparent;
    width: 25px;
    height: 25px;
    color: white;
    border-radius: 4px;
    border: 0px currentColor;
    border-image: none;
    font-weight: normal;
    cursor: pointer;
    padding-right: 15px;
}

.actionbtnDelete {
    background-image: url(/Images/Delete.png);
    background-repeat: no-repeat;
    border: none transparent;
    width: 25px;
    height: 25px;
    color: white;
    border-radius: 4px;
    border: 0px currentColor;
    border-image: none;
    font-weight: normal;
    cursor: pointer;
}

.actionbtnSave {
    background-image: url(/Images/Save.png);
    background-repeat: no-repeat;
    width: 25px;
    height: 25px;
    color: white;
    border: 0px currentColor;
    font-weight: normal;
    cursor: pointer;
    padding-right: 15px;
}
/*Removing Outline from Inputs in Chrome with CSS*/
input:focus, textarea:focus, select:focus, button:focus {
    outline: none;
}

.actionButtons {
    color: white;
    border-radius: 4px;
    border: 0px currentColor;
    border-image: none;
    font-weight: normal;
    width: 105px;
    height: 30px;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 7px;
    height: 28px;
    cursor: pointer;
}

#btdNew {
    background-color: #5195d3;
}

#btnCancel {
    background-color: #ed7d31;
}

#tblrows tbody tr:hover td {
    background-color: #fce4d6;
}

.btnDeete {
    float: left;
}

.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 0px;
}

.control-label:after {
    content: "*";
    color: red;
}

/*label.required:after {
    content: " *";
    color: red;
}*/

#ModelPopUp tr td {
    text-align: right;
    vertical-align: middle;
}

    #ModelPopUp tr td label {
        margin-right: 35px;
        margin-bottom: 0px;
    }

.dropdown-toggle {
    overflow: hidden;
    padding-right: 24px /* Optional for caret */;
    text-align: left;
    /*text-overflow: ellipsis;*/
    width: 100%;
}
    /* Optional for caret */
    .dropdown-toggle .caret {
        position: absolute;
        right: 12px;
        top: calc(50% - 2px);
    }

.dropdown-menu {
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
    margin-top: 0px !important;
    width: 100% !important;
    height: 500px;
    overflow-y: auto;
}

.dropdown-toggle::after {
    display: inline-block;
    margin-left: 97%;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
}

.invalid input:required:invalid {
    background: #BE4C54;
}
/* Mark valid inputs during .invalid state */
.invalid input:required:valid {
    background: #17D654;
}


/*#ModelPopUp {
    font-size: 14px;
    font-family: Calibri;
    padding-bottom: 0px;
    margin-bottom: 0px;
    vertical-align: middle;
}*/

.modal-body {
    padding-bottom: 5px;
}

    .modal-body td label {
        vertical-align: middle;
    }

.pagination-sm {
    margin-bottom: 0px;
}

.table td, .table th {
    border-top: none;
}

.tblGrid {
    cursor: pointer;
    width: 98%;
    border-width: 0.5px;
    border-color: #D9D9D9;
    table-layout: fixed;
    margin-left: 2%;
    /*border-style: dotted;*/
}

#trheader {
    cursor: pointer;
    border-collapse: collapse;
    height: 25px;
}

.tdHeader {
    height: 15px;
    font-family: Calibri;
    font-size: 15px;
    text-align: center;
    user-select: none;
    background-color: white;
    color: #000000;
    border-top: 0px solid #FFFFFF;
    border-bottom: 0px solid #FFFFFF;
    border-left: 0.005em solid #FFFFFF;
    border-color: #FFFFFF;
    border-collapse: collapse;
    font-weight: bold;
    padding-top: 6px;
}

.searchBox {
    width: 99%;
    border-color: #ffe699;
    padding-left: 8px;
    background-color: #fff4d4;
    border: .5px solid #ffe699;
    border-radius: 5px;
    height: 20px;
    opacity: 1;
    /*filter: Alpha(opacity=50);*/
}

.tdData {
    height: 26px;
    font-family: Calibri;
    font-size: 15px;
    word-break: break-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    border-top: 0px solid #D9D9D9;
    border-bottom: 1px solid #ffffff;
    border-left: 0px solid #D9D9D9;
    border-color: #ffffff;
    border-collapse: collapse;
    border-bottom: 0.7px solid #979797;
}

#imgHrd {
    background-image: url(/Images/Nurse.PNG);
    height: 66px;
}

#btnSave {
    width: 70px;
}

.selectedColor {
    background-color: #fce4d6;
    color: #ed00ff;
    font-weight: bold;
}


#tblfooter {
    margin-top: 20px;
}

#tdpagination {
    width: 20%;
}

#tdPageNum {
    width: 20%;
    padding-left: 40px;
}

#dvPageNum {
    margin-bottom: 0px;
}

#prePageNum {
    margin-bottom: 0px;
}

#tdbnts {
    width: 60%;
}


#dvBtns {
    float: right;
    margin-right: 25px;
    margin-top: 0px;
}

/**SET POPUP MODEL ROW HEIGHT*/
table.table tr {
    height: 20px;
}
/*table.table td { 
    height: 20px;
    padding: 8px;
}*/
/*#SelectedVal {
    height: 38px;
}*/

.dropdown-item {
    padding-left: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
}

/*#............................................#*/



.h1 {
    border-top: 2px solid grey;
    width: 72%;
    color: grey;
    height: 10px;
    margin-left: 4.3%;
}

.h2 {
    border-top: 2px solid grey;
    width: 118%;
    color: grey;
    height: 10px;
    margin-left: -22%;
}

.vertical-line {
    width: 2.2px;
    height: 449px;
    background-color: #333;
    margin-left: 10px;
    margin-top: 43px;
}

.vertic {
    position: relative;
    left: 5%;
    top: -111px;
}

.lefthalf {
    position: relative;
    left: 34px;
    top: -60px;
}

.righthalf {
    position: relative;
    left: 9%;
    top: -80px;
}

    .righthalf label {
        font-size: 18px;
        font-weight: 500;
        line-height: 38px;
        /*margin-right: 411px;*/
        float: left;
    }

    .righthalf input {
        background-color: lightgray;
        font-size: 18px;
        padding: 4px;
        padding-left: 6px;
        color: black;
        border: none;
        border-radius: 5px;
        width: 135%;
        line-height: 25px;
        float: inline-end;
        margin-right: 201px;
    }

        .righthalf input:-webkit-autofill {
            background-color: transparent !important;
        }

#Activecheck {
    height: 22px;
    width: 15px;
    float: left;
    margin-left: 3px;
    margin-bottom: 8px;
}

#historylink {
    position: absolute;
    color: #6c757d;
    float: left;
    font-size: 20px;
    margin-top: 64px;
    margin-bottom: -111px;
    margin-left: 120px;
}

#editbtn {
    background-color: gray;
    font-weight: 600;
    cursor: pointer;
    font-size: 17px;
    width: 109px;
    height: 31px;
    color: white;
    border: none;
    border-radius: 5px;
    margin-top: 68px;
    margin-bottom: -164px;
    left: -30px;
    position: absolute;
}

#savebtn {
    background-color: #30a8ae;
    font-weight: bold;
    color: white;
    cursor: pointer;
    font-size: 18px;
    width: 109px;
    height: 32px;
    border: none;
    border-radius: 5px;
    margin-right: 415px;
    margin-top: 164px;
    margin-bottom: -231px;
}

#cancelbtn {
    position: absolute;
    left: 120px;
    background-color: #d10a0a;
    font-weight: bold;
    color: white;
    cursor: pointer;
    font-size: 18px;
    width: 109px;
    height: 32px;
    border: none;
    border-radius: 5px;
    margin-top: 165px;
}

#h3 {
    position: relative;
    top: -40px;
    border-top: 2px solid grey;
    width: 165%;
    color: grey;
    height: 10px;
    margin-left: 3%;
    margin-top: -27px;
}

#newbtn {
    background-color: #17a2b8;
    font-weight: 600;
    cursor: pointer;
    font-size: 17px;
    width: 133px;
    height: 32px;
    color: white;
    border: none;
    border-radius:5px;
    margin-left : 35px;
}
 
.bottomEnd {
    position: relative;
    top: -20px;
}

#closebtn {
    background-color: #da0a0a;
    font-weight: 600;
    cursor: pointer;
    font-size: 17px;
    width: 110px;
    height: 30px;
    color: white;
    border: none;
    border-radius: 5px;
    float:right;
    margin-right:35px;
}

.btwnSpace {
    width: 32px;
}

.popupNewFacility {
    position: absolute;
    left: 32%;
    top: 28%;
    background-color: white;
    width: 450px;
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    border-radius: 3px;
}

.h4 {
    position: relative;
    top: -38px;
    border-top: 3px solid grey;
    width: 55%;
    color: grey;
    margin-left: 55%;
    margin-bottom: -42px;
}

.h5 {
    position: relative;
    top: -40px;
    border-top: 3px solid grey;
    width: 55%;
    color: grey;
    margin-left: 129%;
}
/*#addbtn {
    background-color:forestgreen;
    font-weight: bold;
    cursor: pointer;
    font-size: 18px;
    width: 90px;
    height: 30px;
    color: white;
    border: none;
    border-radius: 5px;
}*/

.Subheader3 {
    border-color: #D9D9D9;
    table-layout: fixed;
    margin-left: -17%;
    margin-top: -44px;
    color: gray;
    font-size: 25px;
}

.popupNewFacility label {
    font-size: 19px;
    font-weight: 600;
    line-height: 36px;
    margin-left: -18px;
}

.popupNewFacility input {
    font-size: 18px;
    padding: 4px;
    padding-left: 8px;
    color: black;
    border-radius: 5px;
    margin-left: 34px;
    width: 92%;
    /*1px solid #ced4da;*/
    /*line-height: 25px;*/
}

.popupselect {
    /*    background-color: white;*/
    border: 2px solid black;
    font-size: 18px;
    padding: 4px;
    padding-left: 8px;
    color: black;
    border-radius: 5px;
    margin-left: 34px;
    width: 92%;
}

/*#Activecheck2 {
    height: 22px;
    width:15px;
    float: left;
    margin-left: 17px;
}*/

.popupInfoSMS {
    position: absolute;
    left: 11%;
    top: 31%;
    border-radius: 3px;
    background-color: white;
    /* border: 3px solid black; */
    /* width: 440px; */
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}
/*.popupHistory {
    border-radius: 5px;
    position: absolute;
    left: 34%;
    top: 24%;*/
/*height: 75%;*/
/*display: flex;
    align-items: center;
    justify-content: center;*/

/*background-color: white;
    width: 550px;
    height:  424px;
    
}*/
.historyTbl {
    cursor: pointer;
    padding: 20px;
    border-width: 0.5px;
    border-color: #D9D9D9;
    table-layout: fixed;
    margin-left: 5%;
    border-collapse: collapse;
    overflow-x: scroll;
    border: 0.5px solid #656262;
}
/*
.historyTbl tr,th,td{
    border: 1px solid black;
    padding: 8px;
    text-align: left;
}*/
.column1 {
    width: 30%;
}

.column2 {
    width: 50%;
}

.column3 {
    width: 20%;
}

#Historyclosebtn {
    position: relative;
    right: -434px;
    bottom: -11px;
    background-color: #da0a0a;
    font-weight: bold;
    cursor: pointer;
    font-size: 20px;
    width: 104px;
    height: 34px;
    color: white;
    border: none;
    border-radius: 5px;
}

.color {
    color: #ed00ff;
    cursor: none;
}

#searchbillstatus {
    width: 97%;
    padding-left: 8px;
    background-color: rgb(255, 244, 212);
    border: 0.5px solid rgb(255, 230, 153);
    border-radius: 5px;
    height: 20px;
    opacity: 1;
}
/*
#SelectedVal {
    height: 37px;
    font-size: 17px;
    padding: 4px;
    padding-left: 8px;
    color: black;
    border-radius: 2px;
    margin-left: 15px;
    width: 93%;
    background-color: white;
    border-color: rgba(0,0,0,.5);
}*/
.disabled {
    opacity: 0.5;
    cursor: not-allowed;
    pointer-events: none;
}

.disableRow {
    color: black;
    pointer-events: none;
    background-color: rgb(221, 221, 221);
    font-weight: 500;
}

.disableSearch {
    pointer-events: none;
}

#infoIcon:focus {
    outline: none;
}

.error {
    text-align: left;
    color: red;
    font-size: 14px;
    margin-bottom: -7px;
}
/*
.btwnSpace {
    width: 72px;
}*/

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Background color with opacity */
    display: none;
    z-index: 1;
}

.popup {
    position: absolute;
    top: 27%;
    left: 4%;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 2;
    /*display: none;*/
    width: 93%;
}

.infoPopup {
    position: absolute;
    top: 36%;
    left: 6%;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 2;
    width: 99%;
}

.infooverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Background color with opacity */
    display: none;
    z-index: 1;
}
/*#infoDelIcon {
    background-color: #f44336;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 10px;
}*/
/*.dvContainer {
    display: none;*/
/* Hide the popup by default */
/*position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}
#popupHistory {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border-radius: 5px;
}*/
/*.popupHistory {
    display: none;*/ /* Hide the popup by default */
/*position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}
.Historyoverlay {
  
}
#historyDelIcon {

}*/
/*#h6{border-top: 2px solid grey;
width: 598%;
color: grey;}*/


.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);
}

.modal-body {
    padding-bottom: 5px;
}

.modal-body {
    position: relative;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem;
}

.modal-content {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    /* width: 100%; */
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    /*border: 1px solid rgba(0,0,0,.2);*/
    border-radius: 0.3rem;
    outline: 0;
}

.modal-dialog {
    position: relative;
    width: auto;
    /*margin: 0.5rem;*/
    pointer-events: none;
    margin-top: 8rem;
}

#ModelPopUp tr td {
    text-align: right;
    vertical-align: middle;
}

table.table td {
    height: 20px;
    padding: 8px;
}

.table td, .table th {
    border-top: none;
}

#ModelPopUp {
    font-size: 15px;
    line-height: 32px;
    font-family: Calibri;
    padding-bottom: 0px;
    margin-bottom: 0px;
    vertical-align: middle;
}

.table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
}

#ModelPopUp tr td label {
    margin-right: 35px;
    margin-bottom: 0px;
}

.modal-body td label {
    vertical-align: middle;
}

label {
    display: inline-block;
    margin-bottom: 0.5rem;
}

label {
    cursor: default;
}
/*#SelectedVal {
    height: 38px;
}*/
/*@media (prefers-reduced-motion: reduce) .form-control {
    transition: none;
}*/
.form-control {
    display: block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 0px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    /*background-color: aliceblue;*/
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.modal-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 0.75rem;
    border-top: 1px solid #dee2e6;
    border-bottom-right-radius: calc(0.3rem - 1px);
    border-bottom-left-radius: calc(0.3rem - 1px);
}

.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    /*border: 1px solid transparent;*/
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

#btnSave {
    width: 70px;
}

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}

.btn-success:hover {
    color: #fff;
    background-color: #218838;
    border-color: #1e7e34;
}

.btn:hover {
    color: #212529;
    text-decoration: none;
}

.modal-footer > * {
    margin: 0.25rem;
}

.btn-secondary:hover {
    color: #fff;
    background-color: #5a6268;
    border-color: #545b62;
}

.btn-secondary:hover {
    color: #fff;
    background-color: #5a6268;
    border-color: #545b62;
}

.h4, h4 {
    font-size: 1.5rem;
}
/*h4 {
    display: block;
    margin-block-start: 1.33em;
    margin-block-end: 1.33em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}*/
.modal-header .close {
    padding: 1rem 1rem;
    margin: -1rem -1rem -1rem auto;
}

button.close {
    padding: 0;
    background-color: transparent;
    border: 0;
}

.close {
    float: right;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;
}

.modal-title {
    margin-bottom: 0;
    line-height: 1.5;
}

.btn-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}

.btn-secondary {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
}

input[type=checkbox], input[type=radio] {
    box-sizing: border-box;
    padding: 0;
}
/*.inpt {*/
/* width: 93%;*/
/*font-size: 17px;
}*/

.modal-contentInfo {
    position: absolute;
    left: 11%;
    top: 31%;
    border-radius: 3px;
    background-color: white;
    /* border: 3px solid black; */
    /* width: 440px; */
    height: 102px;
    font-size: 18px;
}

.modal-open .modal {
    overflow-x: hidden;
    /*overflow-y: auto;*/
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    display: none;
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
}

    .modal.show .modal-dialog {
        -webkit-transform: none;
        transform: none;
    }

.modal-contentHistorylog {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 145%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    /*border: 1px solid rgba(0,0,0,.2);*/
    border-radius: 0.3rem;
    outline: 0;
    height: 66%;
    left: -23%;
}

.tblGridHistory {
    cursor: pointer;
    /* width: 96%;*/
    border-width: 0.5px;
    border-color: #D9D9D9;
    table-layout: fixed;
    margin-left: 2%;
    /*border-style: dotted;*/
}

.tdDataHistory {
    height: 26px;
    font-family: Calibri;
    font-size: 15px;
    word-break: break-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    border-top: 0px solid #D9D9D9;
    border-bottom: 1px solid #ffffff;
    border-left: 0px solid #D9D9D9;
    border-color: #ffffff;
    border-collapse: collapse;
    border-bottom: 0.7px solid #979797;
}

#dvtblrowsHistory {
    height: 293px;
    overflow-y: auto;
    overflow-x: hidden;
}

#closedbtn {
    /*background-color: #da0a0a;*/
    font-weight: bold;
    cursor: pointer;
    font-size: 18px;
    width: 96px;
    height: 34px;
    /*color: white;*/
    border: none;
    border-radius: 5px;
    margin-bottom: 18px;
    color: #fff;
    background-color: #da0a0a;
    border-color: #da0a0a;
}

.tdHeaderHistory {
    height: 15px;
    font-family: Calibri;
    font-size: 16px;
    text-align: center;
    user-select: none;
    background-color: white;
    color: #000000;
    border-top: 0px solid #FFFFFF;
    border-bottom: 0px solid #FFFFFF;
    border-left: 0.005em solid #FFFFFF;
    border-color: #FFFFFF;
    border-collapse: collapse;
    font-weight: bold;
    padding-top: 6px;
}

#tblrowsHistory tbody tr:hover td {
    background-color: #fce4d6;
}

.searchBoxHistory {
    width: 99%;
    border-color: #ffe699;
    padding-left: 8px;
    background-color: #fff4d4;
    border: .5px solid #ffe699;
    border-radius: 5px;
    height: 20px;
    opacity: 1;
    /*filter: Alpha(opacity=50);*/
}

#h6 {
    margin-top: 1rem;
    margin-bottom: 0rem;
    border: 0;
    border-top: 1px solid rgba(0,0,0,.1);
}

#yesButton {
    margin-bottom: -39px;
    margin-left: 363px;
    color: #fff;
    background-color: #218838;
    border-color: #1e7e34;
    border-radius: 5px;
    width: 49px;
    height: 38px;
    margin-right: 4px;
}

#noButton {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
    border-radius: 5px;
    width: 49px;
    height: 38px;
    margin-bottom: 9px;
    margin-left: 422px;
}

#AlertBtmLine {
    border-bottom-style: inset;
    top: 10px;
    margin-bottom: 31px;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);
}

#AscendFacilityErr {
    position: absolute;
    top: 149px;
}

#AMDOfficeKeyErr {
    position: absolute;
    top: 147px;
}

#AMDLocationRefErr {
    position: absolute;
    top: 200px;
}

#WeInfuseGroupIDErr {
    position: absolute;
    top: 251px;
}

#WeInfuseLocationIDEditErr {
    position: absolute;
    top: 303px;
}

#BilliableErrBranch {
    position: absolute;
    top: 357px;
}

#Status {
    float: inline-end;
    width: 51%;
    padding-left: 8px;
    background-color: wheat;
    border: wheat;
    border-radius: 5px;
    height: 31px;
    opacity: 1;
    font-size: 18px;
    position: absolute;
    margin-left: -85.6%;
    margin-top: -18px;
    /*margin-right: 227px;*/
}

select: disabled {
    color: black;
}

select:not([disabled]) {
    cursor: pointer;
}

#contractErr {
    position: absolute;
    top: 257px;
}

#sitenameErr {
    position: absolute;
    top: 257px;
}

#AddressErr {
    position: absolute;
    top: 257px;
}

#cityErr {
    position: absolute;
    top: 257px;
}

#stateErr {
    position: absolute;
    top: 257px;
}

#zipcodeErr {
    position: absolute;
    top: 257px;
}

#AMDkeyErr {
    position: absolute;
    top: 170px;
    margin-left: 5px;
}

#AMDrefErr {
    position: absolute;
    top: 218px;
    margin-left: 5px;
}

#WeInfuseGrpIDErr {
    position: absolute;
    top: 266px;
    margin-left: 5px;
}

#BilliableErr {
    position: absolute;
    top: 363px;
    margin-left: 5px;
}

}

#WeInfuseLocationIDErr {
    position: absolute;
    top: 316px;
    margin-left: 5px;
}

h1.loading {
    font-size: 3em;
    font-family: 'Roboto', sans-serif;
    font-weight: 700;
}





span[class^="dot-"] {
    opacity: 0;
}





.dot-one {
    animation: dot-one 2s infinite linear
}





.dot-two {
    animation: dot-two 2s infinite linear
}





.dot-three {
    animation: dot-three 2s infinite linear
}





@keyframes dot-one {
    0% {
        opacity: 0;
    }





    15% {
        opacity: 0;
    }





    25% {
        opacity: 1;
    }





    100% {
        opacity: 1;
    }
}





@keyframes dot-two {
    0% {
        opacity: 0;
    }





    25% {
        opacity: 0;
    }





    50% {
        opacity: 1;
    }





    100% {
        opacity: 1;
    }
}





@keyframes dot-three {
    0% {
        opacity: 0;
    }





    50% {
        opacity: 0;
    }





    75% {
        opacity: 1;
    }





    100% {
        opacity: 1;
    }
}

#LoadingRed {
    float: right;
    margin-right: 0%;
    color: #DDA0DD;
    font-weight: bolder;
    font-size: 24px;
    vertical-align: middle;
    margin-top: 18px;
    display: none;
}
/*
#OkayBtn {
    margin-bottom: 9px;
    margin-left: 369px;
    color: #fff; 
    border-radius: 5px;
    width: 49px;
    height: 38px;
    margin-right: 4px; 
    background-color: #5a6268;
    border-color: #545b62;
     color: #fff; 
}*/
#OkayBtn {
    background-color: #0069d9;
    border-color: #0062cc;
    color: #fff;
    border-radius: 5px;
    width: 63px;
    height: 38px;
    margin-bottom: 9px;
    margin-left: 421px;
    margin-right: 13px;
}

#OkayBtnBranch {
    background-color: #0069d9;
    border-color: #0062cc;
    color: #fff;
    border-radius: 5px;
    width: 63px;
    height: 38px;
    margin-bottom: 9px;
    margin-left: 421px;
    margin-right: 13px;
}

#Alreadyexists {
    background-color: #0069d9;
    border-color: #0062cc;
    color: #fff;
    border-radius: 5px;
    width: 63px;
    height: 38px;
    margin-bottom: 9px;
    margin-left: 421px;
    margin-right: 13px;
}

#updateok {
    background-color: #0069d9;
    border-color: #0062cc;
    color: #fff;
    border-radius: 5px;
    width: 63px;
    height: 38px;
    margin-bottom: 9px;
    margin-left: 421px;
    margin-right: 13px;
}

#BranchNewbtn {
    position: absolute;
    left: 120px;
    /* background-color: #17a2b8; */
    background-color: gray;
    font-weight: bold;
    color: white;
    cursor: pointer;
    font-size: 17px;
    width: 109px;
    height: 32px;
    border: none;
    border-radius: 5px;
    margin-top: -82px;
    margin-left: -42px;
}

#BranchDeletebtn {
    Position: absolute;
    left: 120px;
    background-color: red;
    color: white;
    cursor: pointer;
    font-size: 16px;
    width: 64px;
    height: 38px;
    border: none;
    border-radius: 5px;
    margin-top: 6px;
    margin-left: -96px;
    padding-left: 8px;
}

.tdDataBranch {
    height: 26px;
    font-family: Calibri;
    font-size: 15px;
    word-break: break-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    border-top: 0px solid #D9D9D9;
    border-bottom: 1px solid #ffffff;
    border-left: 0px solid #D9D9D9;
    border-color: #ffffff;
    border-collapse: collapse;
    border-bottom: 0.7px solid #979797;
}

.leftBrnch {
    width: 71%;
}

.tblGridBrnch {
    cursor: pointer;
    width: 98%;
    border-width: 0.5px#historylink border-color: #D9D9D9;
    table-layout: fixed;
    margin-left: 2%;
    /*border-style: dotted;*/
}

#dvtblrowsBrnch {
    height: 80px;
    overflow-y: auto;
    margin-bottom: -174px;
    margin-right: -63px;
    margin-left: -15px;
    width: 235%;
}

.selectedColorBranch {
    background-color: #fce4d6;
    color: #ed00ff;
    font-weight: bold;
}

.tdHeaderBranch {
    height: 22px;
    font-family: Calibri;
    font-size: 15px;
    text-align: center;
    user-select: none;
    background-color: white;
    color: #000000;
    border-top: 0px solid #FFFFFF;
    border-bottom: 0px solid #FFFFFF;
    border-left: 0.005em solid #FFFFFF;
    border-color: #FFFFFF;
    border-collapse: collapse;
    font-weight: bold;
    padding-top: 6px;
}

#OkayBtnNew {
    color: #fff;
    background-color: #218838;
    border-color: #1e7e34;
    border-radius: 5px;
    width: 63px;
    height: 38px;
    margin-bottom: 18px;
    margin-left: 343px;
    margin-right: 13px;
}

#BtnNO {
    color: #fff;
    background-color: #c82333;
    border-color: #bd2130;
    border-radius: 5px;
    width: 63px;
    height: 38px;
    margin-bottom: 10px;
    margin-left: 421px;
    margin-right: 13px;
    margin-top: -56px;
}

#trheaderBranch {
    cursor: pointer;
    border-collapse: collapse;
    height: 25px;
}

#hBrnch {
    position: relative;
    top: -64px;
    border-top: 2px solid grey;
    color: grey;
    height: 10px;
    margin-left: 14%;
}


#h4 {
    position: relative;
    top: -38px;
    border-top: 3px solid grey;
    width: 54%;
    color: grey;
    margin-left: 52%;
    margin-bottom: -42px;
}

#h5 {
    position: relative;
    top: -40px;
    border-top: 3px solid grey;
    width: 54%;
    color: grey;
    margin-left: 122%;
}

#EditStatus {
    float: inline-end;
    padding-left: 8px;
    border: 1px solid #ced4da;
    border-radius: 5px;
    height: 35px;
    opacity: 1;
    font-size: 18px;
    margin-right: 1px;
    width: 100%;
}

#cancelfacilitybtn {
    background-color: #da0a0a;
    /* font-weight: bold; */
    cursor: pointer;
    font-size: 16px;
    width: 64px;
    height: 38px;
    color: white;
    border: none;
    border-radius: 5px;
    margin-right: 13px;
}

label.requiredFaclilityID:after {
    content: " *";
    color: red;
}

label.requiredFaclitityRef:after {
    content: " *";
    color: red;
}

label.requiredFaclitityRef:after {
    content: " *";
    color: red;
}

label.requiredSite:after {
    content: " *";
    color: red;
}

label.requiredAMDOfcKey:after {
    content: " *";
    color: red;
}

label.requiredAmdLoc:after {
    content: " *";
    color: red;
}

label.requiredWelfgropID:after {
    content: " *";
    color: red;
}

label.requiredWelfLocID:after {
    content: " *";
    color: red;
}

label.requiredBiilingStatus:after {
    content: " *";
    color: red;
}

.label-no-after:after {
    content: none !important;
    color: inherit !important;
}


#EditBillingStatus {
    float: inline-end;
    padding-left: 8px;
    border: 1px solid #ced4da;
    border-radius: 5px;
    height: 35px;
    opacity: 1;
    font-size: 18px;
    margin-right: 231px;
    width: 170%;
}

#Donebtn {
    background-color: blue;
    font-weight: 600;
    cursor: pointer;
    font-size: 17px;
    width: 108px;
    height: 31px;
    color: white;
    border: none;
    border-radius: 5px;
    /*margin-top: 97px;*/
    margin-top: 68px;
    margin-bottom: -164px;
    left: -30px;
    position: absolute;
}

#SavechangesRightside {
    margin-bottom: -35px;
    margin-left: 336px;
    color: #fff;
    background-color: #218838;
    border-color: #1e7e34;
    border-radius: 5px;
    width: 72px;
    height: 35px;
    margin-right: 4px;
}

#DiscardchangesRightside {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
    border-radius: 5px;
    width: 72px;
    height: 35px;
    margin-bottom: 13px;
    margin-left: 418px;
    margin-right: 16px;
}

#Speciality {
    float: inline-end;
    width: 238%;
    padding-left: 8px;
    background-color: wheat;
    border: wheat;
    border-radius: 5px;
    height: 31px;
    opacity: 1;
    font-size: 18px;
    margin-right: 164px;
}
/*
#SelectedVal {
    float: inline-end;
    width: 238%;
    padding-left: 8px;
    background-color: wheat;
    border: wheat;
    border-radius: 5px;
    height: 31px;
    opacity: 1;
    font-size: 18px;
    margin-right: 164px;
}*/

#btnDescription {
    /*height: 38px;*/
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: calc(100%);
    max-width: 220px;
}


#SelectedValSpe {
    width: 291px;
    padding-left: 8px;
    background-color: lightgray;
    border: wheat;
    border-radius: 5px;
    height: 31px;
    opacity: 1;
    font-size: 18px;
    font-weight: 300;
    margin-right: -18px;
    margin-top: -9px;
    margin-left: -1059.6px;
    flex-direction: column;
    padding-top: 5px;
    text-shadow: 0 0 black;
    /*webkit-text-stroke-width: medium;*/
}

#SelectedValSpes {
    width: 291px;
    padding-left: 8px;
    background-color: wheat;
    border: wheat;
    border-radius: 5px;
    height: 31px;
    opacity: 1;
    font-size: 18px;
    font-weight: 300;
    margin-right: -18px;
    margin-top: -9px;
    margin-left: -1059.6px;
    flex-direction: column;
    padding-top: 5px;
    text-shadow: 0 0 black;
    /*webkit-text-stroke-width: medium;*/
}
.custom-dropdown {
    appearance: none; /* Remove default arrow in some browsers */
    -webkit-appearance: none; /* Remove default arrow in older versions of Chrome and Safari */
    -moz-appearance: none; /* Remove default arrow in Firefox */
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="10" height="6" viewBox="0 0 10 6"><polygon points="0,0 10,0 5,6"/></svg>'); /* Use an SVG triangle as a background image */
    background-position: calc(100% - 10px) center; /* Move the triangle to the right side */
    background-repeat: no-repeat;
    /*padding-right: 30px;*/ /* Adjust padding to make room for the arrow */
}

/* Style for the dropdown container when active */
.dropdown-container.active {
    position: relative;
}

/* Style for the dropdown options when active */
.custom-dropdown.active + .dropdown-container .dropdown-options {
    display: block;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    z-index: 1;
}

/* Style for the dropdown options */
.dropdown-options {
    display: none;
    list-style: none;
    padding: 0;
    margin: 0;
}

    .dropdown-options li {
        padding: 10px;
        cursor: pointer;
    }

#btnEditExp {
    background-color: green;
    border-color: #00646c;
    color: white;
    width: 95px;
    height: 32px;
    font-size: 18px;
    font-weight: 600;
    padding-top: 2px;
    margin-top: -64px;
    margin-left: 30.5%;
    border-radius: 4px;
    border: none;
}

#SpecError {
    position: absolute;
    top: 211px;
    margin-left: -225px;
}